Bug 114732 - 2.6.1 Uninstalls all 2.4 Kernels
2.6.1 Uninstalls all 2.4 Kernels
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2004-02-01 18:22 EST by Justin Churchey
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-19 11:37:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Churchey 2004-02-01 18:22:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
When I installed the 2.6.1 kernel (rawhide)?  I did not change my
grub.conf file (my GRUB setup requires me to manually edit) so when I
tried to boot, it could not find the 2.4 kernel images that I had

It is obvious after doing a "rpm -q" that it had uninstalled all 2.4
versions of the kernel that would have otherwise been there.  I feel
this limits functionality of the distribution by not giving consumers
a choice in using 2.4 in productivity situations and 2.6 for testing,
since some people might feel that 2.6 is not stable enough to be used
all of the time.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install Rawhide version of 2.6.1 Kernel

Actual Results:  It appears that the 2.6 series eliminates all 2.4

Expected Results:  It should adjust for compatability.

Additional info:
Comment 1 Michael Young 2004-02-03 09:39:43 EST
Did you run rpm -F or rpm -U rather than rpm -i? I have updated lots
of times to 2.6 kernels including to kernel-2.6.1-1.65 without problems.
Comment 2 Justin Churchey 2004-03-07 14:05:26 EST
I usually run rpm -U although I may have run rpm -i.  I'll have to
download a new rawhide kernel to check.  I guess the main question
here is, does RH and FC remove old 2.4 kernels because of the system
modifications needed to ensure that the old 2.4 kernels will run on
the system because of all of the 2.6 overhauls (i.e. alsa,/proc,etc.)
Comment 3 Dave Jones 2004-06-19 11:37:46 EDT
*never* use -U for installing new kernels.

There shouldn't be anything that will cause 2.4 kernels to be removed.

Note You need to log in before you can comment on or make changes to this bug.